Bug 162496 - samba module does not load in Webmin 1.210
samba module does not load in Webmin 1.210
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: samba (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-05 12:07 EDT by Roberto Mason
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-14 12:44:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Explains the problem, and the solution a user applied to it (45.58 KB, application/pdf)
2005-07-05 15:29 EDT, Roberto Mason
no flags Details

  None (edit)
Description Roberto Mason 2005-07-05 12:07:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; SV1; .NET CLR 1.1.4322; .NET CLR 1.0.3705)

Description of problem:
Before upgradeing FC3 to FC4, I was able to manage Samba using Webmin with the Samba Module. After successfully upgrading FC3 to FC4, When I run the Samba-Module in webmin, I get the message that it is unable to run Samba-Module because the version of Samba is not found. This also happens with a fresh install. The path to smbd and nmbd are correct.

I do not think the problem is samba's since if I load a debian or someother linux, the problem does not occur. 

Version-Release number of selected component (if applicable):
samba 3.0.14a

How reproducible:
Always

Steps to Reproduce:
1.Install webmin
2.run webmin/server/Webmin Module
3.
  

Actual Results:  I'm entering this from my office, so I'm not infront of my server (home). In short the message is unable to load Samba because the version is not found

Expected Results:  Samba Module Loads

Additional info:
Comment 1 Jay Fenlason 2005-07-05 14:29:59 EDT
Why is this reported against Samba and not Webmin?  How do I reproduce the 
problem on my fc-4 box which doesn't have webmin installed on it? 
Comment 2 Roberto Mason 2005-07-05 15:21:25 EDT
(In reply to comment #1)
> Why is this reported against Samba and not Webmin?  How do I reproduce the 
> problem on my fc-4 box which doesn't have webmin installed on it? 

Samba Module on Webmin 1.21 on FC3 works fine. No problem. After the upgrade to 
FC4 it doesn't. I've run the same Samba Module on Webmin 1.21 on a different 
versions of Linux (Debian) with the same version of Samba, and no problem, so I 
figured I'd report it to Fedora, since the problem seems to point that 
direction.

If necessary, I could report the problem to Webmin, and see what they say, and 
report back here
Comment 3 Roberto Mason 2005-07-05 15:29:08 EDT
Created attachment 116377 [details]
Explains the problem, and the solution a user applied to it
Comment 4 Roberto Mason 2005-07-05 19:55:24 EDT
I ran config-system-securitylevel, and I allowed shares and cif login. Despite
that, I had to Dispable smbd, nmbd protection. I also disable windbind protection
Comment 5 Roberto Mason 2005-07-05 19:57:20 EDT
It worked, I was able to run Samba-Module
Comment 6 Christian Iseli 2007-01-22 05:58:38 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 7 Simo Sorce 2007-03-14 12:44:43 EDT
user reports it is fixed, firewall conf issue.
if not please reopen

Note You need to log in before you can comment on or make changes to this bug.